__gnu_cxx::_Caster< _ToType >(3)

NAME
__gnu_cxx::_Caster< _ToType >

SYNOPSIS

  Public Types
typedef _ToType::element_type * type

Detailed Description

  template<typename _ToType>
struct __gnu_cxx::_Caster< _ToType >" These functions are here to allow containers to support non standard pointer types. For normal pointers, these resolve to the use of the standard cast operation. For other types the functions will perform the appropriate cast to/from the custom pointer class so long as that class meets the following conditions: 1) has a typedef element_type which names tehe type it points to. 2) has a get() const method which returns element_type*. 3) has a constructor which can take one element_type* argument. This type supports the semantics of the pointer cast operators (below.)

Definition at line 52 of file cast.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.